Subject: RE: MD identifiers ? (was Re: [mobile-ip] Why not tunnel instead of RTH2 and HAO?)

From: Erik Nordmark <[email-masked]>
Date: Thu, 17 Apr 2003 17:43:01 +0200 (CEST)

> Personally, I don't see what the need is to map a router to a specific link.
> It is always possible that due to the "hidden node" scenario that can occur
> with RF that nodes that are supposed to be on the same link simply aren't
> reachable by the MN due to physical obstacles etc. I think it is sufficient
> for the MN to use a single default router at any given time that has been
> confirmed to be bi-directionally reachable, and to continue using that
> router as long as it is still bi-directionally reachable. Once it isn't, the
> MN switches to a new default router, regardless of whether or not it is on
> the same "link" doesn't matter at this point (except from the standpoint
> that if it is on the same link, it is possible but not guaranteed that it
> advertises the same prefixes, in which case the MN may not need to change
> its primary CoA).

Hidden terminal is a real problem.
Unfortunately selecting one default router is not a solution.

Here is an example: R1 and R2 are routers on the link.
Each advertise the P1/48 prefix to the other routers.
Host H1 is on the link.

Assume that H1 can not hear R2.
Even if H1 selects R1 for all its outbound traffic
normal IP routing can deliver packets for the CoA (in the P1/48 prefix)
to either R1 and R2. What happens to packets delivered to R2?
R2 sends neighbor solicitations for H1's CoA and then gives up and drops
the packet(s).
Thus in order to solve the hidden terminal for the router<->host case
you need some additional mechanism to allow R2 to 
1) know that R1 is also a router to that link
2) tunnel packets to R1 for the nodes that R2 can not reach on the link

Alternatively forbid there being more than one router per link (i.e.
each router advertises a separate prefix).
But such a prohibition might increase the rate of handovers substantially -
I just don't know the impact.

   Erik

---

From: "James Kempf" <[email-masked]>
Date: Thu, 17 Apr 2003 09:35:48 -0700

> I just don't know the impact.

Wouldn't an easier solution be for both R1 & R2 to cover all access
points? This would eliminate any wireless propagation issues. It does
mean that load balancing between the two routers doesn't occur as a
result of a partition of physical ports between them as would be
possible for a wired network.

            jak

---

From: "Ed Remmell" <[email-masked]>
Date: Thu, 17 Apr 2003 09:37:03 -0700

> possible for a wired network.

Makes sense to me.

Thanks.
- Ed

---

From: Jari Arkko <[email-masked]>
Date: Sun, 20 Apr 2003 08:08:04 +0300

> 2) tunnel packets to R1 for the nodes that R2 can not reach on the link

This can indeed happen. However, it appears to be an issue even if you
don't use Mobile IPv6, and can happen even if you are a stationary host.
For instance, my computer at the office could be hidden from the other
router by a concrete wall.

There are ways to deal with this, such as setting up tunneling or host
routes. But I like the Jim's solution. It would work both for the
mobile and for the stationary office computer cases.

Question: How should the MIPv6 base specification take this into account?
I'm thinking we should describe the possibility that this happens, but
not do more.

Jari

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 22 Apr 2003 01:46:38 +0200 (CEST)

> I'm thinking we should describe the possibility that this happens, but

I don't think MIPv6 should talk about this other than stating in the intro
that it doesn't solve the wireless hidden terminal problem.
My issue is that it tries to solve it (and fails) in the section on movement
detection.

  Erik

---

From: "JinHyeock Choi" <[email-masked]>
Date: Tue, 22 Apr 2003 21:45:39 +0900

Jari Arkko wrote

> router by a concrete wall.

Right. Moreover it may be an issue even for wired case.  

Here is the case: R1 and R2 are routers on the link. Each 
advertise the P1/48 prefix to the other routers. Host H1 is 
on the link.

Host H1 selects a reachable router R1 as a default router. 
"Then can we assume that R2 can send a packet to H1?"  

In other words, "If R1 and R2 are on the same link and R1 
is reachable from H1, can we assume that H1 can receive 
a packet from R2?" 

For wired network, it may be reasonable to assume the 
transitive property like above. 

But if not, the packets delivered to R2 whose reachability 
is unknown may be dropped as described in Erik's mail. 

JinHyeock

---

From: "Ed Remmell" <[email-masked]>
Date: Tue, 22 Apr 2003 08:36:44 -0700

JinHyeock -

Yes, yes, wireless can be messy. Some of these things are not the
responsibility of MIPv6. There are ways to incorrectly setup a wireless
network, to maximize the potential for these types of problems to occur. For
example, with wireless cellular (my experience is limited to AMPS cellular),
you could reuse the same RF channel in adjacent cells, a really bad thing
because then the network base stations in those two cells wouldn't be able
to tell for sure which cell a specific MN is operating in when it is on that
channel, and thus there would be confusion over which base station should be
providing service to that MN (not to even mention the fact that there would
be all sorts of interference problems resulting from this
mis-configuration). I don't think it is necessarily the responsibility of
the MIPv6 base specification to identify all of the potential problems that
can occur with wireless.

Basically, what we need to do is identify some basic mechanism that works in
the general case for MIPv6 movement detection, and IMHO the MIPv6 base
specification has successfully done that. Perhaps we want to add a little
more text to the specification that discusses what assumptions generic MIPv6
movement detection makes about the underlying network.

Anyways, I think the mis-configuration issue that Erik has identified which
you mention below is beyond the scope of generic MIPv6 movement detection,
it will affect your wireless network operation even when you aren't using
MIPv6.

Thanks.
- Ed

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of JinHyeock Choi
> Sent: Tuesday, April 22, 2003 5:46 AM
> To: Jari Arkko; Erik Nordmark
> Cc: James Kempf; [email-masked]
> Subject: Re: MD identifiers ? (was Re: [mobile-ip] Why not tunnel
> instead of RTH2 and HAO?)
>
>
> Jari Arkko wrote
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 22 Apr 2003 11:19:58 -0700

Hello folks,

From the introduction:

>    Mobile IPv6 does not attempt to solve all general problems related to
>    the use of mobile computers or wireless networks.  In particular,
>    this protocol does not attempt to solve:
>    
>    o  Handling links with partial reachability, or unidirectional
>       connectivity, such as are often found in wireless networks (but
>       see Section 11.5.1).

This statement _could_ be expanded to also state
	"or hidden terminal problems".

The "hidden terminal" problem is not a network configuration problem.
It arises from the physical nature of wireless media, and should
be solved at layer 2, not at layer 3.  I hope that the exclusionary
statement does not have to be expanded to cover all physical laws
and unfortunate phenomena that Mobile IPv6 does not "solve", but
maybe two or three will aid understanding.

Since wireless media are not like ethernets, any discussion about
what happens on a "link" has to be done very carefully.  In fact,
as I remember, all the material originally included in RFC 2461
that was meant to ameliorate asymmetric wireless connectivity was
stripped out because there was skepticism that it could work.

Applied to problems of selecting a default router for Mobile IP,
I think it means that two devices, if modeled as being on the
same "link", are required to detect broadcast packets delivered
on that link (at least, up to the general limitation implied by the
use of the term "best effort").  If a mobile node believes that a
router is on a "link", but the router is somehow out of range, then
either the network is "misconfigured", or some bridging device has
to relay broadcasts back and forth between that router and the
mobile node.  Similarly if a router believes a mobile node is on
its "link".

Or else they can't use RFC 2461/RFC 2462.

I think that eventually we would do better to model every
access point as a default router for its own IPv6 subnet,
but that seems to be in conflict with existing equipment sales.
Anyway, Mobile IPv6 and RFC 246{1,2} should work fine as long
as the broadcasts are handled correctly according to the latter
specifications.

Regards,
Charlie P.